package com.ruoyi.framework.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 随访记录对象 FollowUpRecords
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
public class FollowUpRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录唯一标识 */
    private Long RecordID;

    /** 病患ID */
    @Excel(name = "病患ID")
    private Long PatientID;

    /** 随访日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "随访日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date FollowUpDate;

    /** 症状 */
    @Excel(name = "症状")
    private String Symptoms;

    /** 诊断 */
    @Excel(name = "诊断")
    private String Diagnosis;

    /** 治疗方案 */
    @Excel(name = "治疗方案")
    private String TreatmentPlan;

    /** 处方药物 */
    @Excel(name = "处方药物")
    private String MedicationsPrescribed;

    /** 生命体征 */
    @Excel(name = "生命体征")
    private String VitalSigns;

    /** 实验室检查结果 */
    @Excel(name = "实验室检查结果")
    private String LabResults;

    /** 备注 */
    @Excel(name = "备注")
    private String Notes;

    /** 记录者 */
    @Excel(name = "记录者")
    private String CreatedBy;

    /** 记录创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记录创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date CreatedAt;

    public void setRecordID(Long RecordID) 
    {
        this.RecordID = RecordID;
    }

    public Long getRecordID() 
    {
        return RecordID;
    }
    public void setPatientID(Long PatientID) 
    {
        this.PatientID = PatientID;
    }

    public Long getPatientID() 
    {
        return PatientID;
    }
    public void setFollowUpDate(Date FollowUpDate) 
    {
        this.FollowUpDate = FollowUpDate;
    }

    public Date getFollowUpDate() 
    {
        return FollowUpDate;
    }
    public void setSymptoms(String Symptoms) 
    {
        this.Symptoms = Symptoms;
    }

    public String getSymptoms() 
    {
        return Symptoms;
    }
    public void setDiagnosis(String Diagnosis) 
    {
        this.Diagnosis = Diagnosis;
    }

    public String getDiagnosis() 
    {
        return Diagnosis;
    }
    public void setTreatmentPlan(String TreatmentPlan) 
    {
        this.TreatmentPlan = TreatmentPlan;
    }

    public String getTreatmentPlan() 
    {
        return TreatmentPlan;
    }
    public void setMedicationsPrescribed(String MedicationsPrescribed) 
    {
        this.MedicationsPrescribed = MedicationsPrescribed;
    }

    public String getMedicationsPrescribed() 
    {
        return MedicationsPrescribed;
    }
    public void setVitalSigns(String VitalSigns) 
    {
        this.VitalSigns = VitalSigns;
    }

    public String getVitalSigns() 
    {
        return VitalSigns;
    }
    public void setLabResults(String LabResults) 
    {
        this.LabResults = LabResults;
    }

    public String getLabResults() 
    {
        return LabResults;
    }
    public void setNotes(String Notes) 
    {
        this.Notes = Notes;
    }

    public String getNotes() 
    {
        return Notes;
    }
    public void setCreatedBy(String CreatedBy) 
    {
        this.CreatedBy = CreatedBy;
    }

    public String getCreatedBy() 
    {
        return CreatedBy;
    }
    public void setCreatedAt(Date CreatedAt) 
    {
        this.CreatedAt = CreatedAt;
    }

    public Date getCreatedAt() 
    {
        return CreatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("RecordID", getRecordID())
            .append("PatientID", getPatientID())
            .append("FollowUpDate", getFollowUpDate())
            .append("Symptoms", getSymptoms())
            .append("Diagnosis", getDiagnosis())
            .append("TreatmentPlan", getTreatmentPlan())
            .append("MedicationsPrescribed", getMedicationsPrescribed())
            .append("VitalSigns", getVitalSigns())
            .append("LabResults", getLabResults())
            .append("Notes", getNotes())
            .append("CreatedBy", getCreatedBy())
            .append("CreatedAt", getCreatedAt())
            .toString();
    }
}
